﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="Updater.ascx.cs" Inherits="VersionUpdater.Updater" %>
<%@ Register Assembly="DevExpress.Web.v16.1, Version=16.1.6.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" Namespace="DevExpress.Web" TagPrefix="dx" %>
<%--Version 1.0.1--%>
<style>
    .ucFont {
        font-family: Arial, sans-serif;
        font-size: 11px;
        text-align: right;
    }

    .pill {
        border-radius: 7px;
        display: inline-block;
        padding: 2px 4px 2px 4px;
        text-align: center !important;
    }

    td {
        padding: 2px;
    }
</style>

<%--Vertical View--%>
<table id="verticalTable" runat="server">
    <tr>
        <td class="ucFont">Installed:</td>
        <td>
            <div style="color: white; background-color: <%= installedColor %>;" class="ucFont pill"><%= installedVer %></div>
        </td>
    </tr>
    <tr>
        <td class="ucFont">Latest:</td>
        <td>
            <div style="color: white; background-color: <%= latestColor %>;" class="ucFont pill"><%= latestVer %></div>
        </td>
    </tr>
    <tr>
        <td class="ucFont" colspan="2">
            <asp:LinkButton ID="lbDownload" runat="server" Text="Download" OnClick="lbDownload_Click" />
        </td>
    </tr>
</table>

<%--Horizontal View--%>
<table id="horizontalTable" runat="server">
    <tr>
        <td class="ucFont">Installed:</td>
        <td>
            <div style="color: white; background-color: <%= installedColor %>" class="ucFont pill"><%= installedVer %></div>
        </td>
        <td class="ucFont">Latest:</td>
        <td>
            <div style="color: white; background-color: <%= latestColor %>" class="ucFont pill"><%= latestVer %></div>
        </td>
        <td class="ucFont">
            <asp:LinkButton ID="LinkButton1" runat="server" Text="Download" OnClick="lbDownload_Click" />
        </td>
    </tr>
</table>

<table id="uptoTable" runat="server">
    <tr>
        <td>
            <div style="color: white; background-color: <%= installedColor %>" class="ucFont pill"><%= upToDate %></div>
        </td>
    </tr>
</table>

<asp:UpdatePanel ID="upChoiceBox" runat="server" UpdateMode="Conditional">
    <ContentTemplate>
        <br />
        <dx:ASPxPopupControl
            ID="pcDownloadBox"
            runat="server"
            MinWidth="250px"
            ClientInstanceName="pcDownloadBox"
            AllowDragging="true"
            PopupAnimationType="Fade"
            PopupHorizontalAlign="WindowCenter"
            PopupVerticalAlign="WindowCenter"
            ContentStyle-Paddings-PaddingTop="25px"
            ContentStyle-Paddings-PaddingLeft="25px"
            ContentStyle-Paddings-PaddingRight="25px"
            ContentStyle-Paddings-PaddingBottom="15px"
            Theme="DevEx">
            <ContentCollection>
                <dx:PopupControlContentControl>
                    <table style="width: 100%;">
                        <tr>
                            <td style="width: 40px; vertical-align: top">
                                <dx:ASPxImage ID="iChoiceImage" runat="server" ImageUrl="~/Images/Info.png" />
                            </td>
                            <td>
                                <dx:ASPxLabel ID="lblChoiceBodyText" runat="server" Wrap="true" Text="" EncodeHtml="false" />
                                <a href="<%= downloadURL %>" onclick="document.getElementById('lblStatus').innerHTML= 'Download started'">Download</a>&nbsp;&nbsp;&nbsp;
                                    <asp:LinkButton ID="lbCancel" runat="server" OnClick="btnNo_Click" Text="Close" /><br />
                                <br />
                                <br />
                                <div style="float: right">
                                    <label id="lblStatus" style="color: darkorange">&nbsp;</label>
                                </div>
                                <br />
                            </td>
                        </tr>
                    </table>
                    <br />
                </dx:PopupControlContentControl>
            </ContentCollection>
        </dx:ASPxPopupControl>
    </ContentTemplate>
</asp:UpdatePanel>


